# dwmclock settings

# enable battery charge display
CFLAGS += -DBATTERY

# set this to the correct path for your current system
CFLAGS += -DENERGY_FULL=\"/sys/class/power_supply/BAT0/energy_full\"
CFLAGS += -DENERGY_NOW=\"/sys/class/power_supply/BAT0/energy_now\"
CFLAGS += -DSTATUS=\"/sys/class/power_supply/BAT0/status\"

# the string to match when the battery is charging; comment out to disable charging detection
CFLAGS += -DCHARGING=\"Charging\\n\"

# possible alternative on some systems
#CFLAGS += -DENERGY_FULL=\"/sys/class/power_supply/BAT0/charge_full\"
#CFLAGS += -DENERGY_NOW=\"/sys/class/power_supply/BAT0/charge_now\"
#CFLAGS += -DSTATUS=\"/sys/class/power_supply/ADP1/online\"
#CFLAGS += -DCHARGING=\"1\\n\"

# every how many seconds to refresh the battery charge display
CFLAGS += -DBAT_REFRESH_SECONDS=10

# this is here for legacy reasons, ignore it
CFLAGS += -DMUL=1

# sleep to the start of the next second instead of for 1s
CFLAGS += -DEXACT_SLEEP
